org.apache.hadoop.yarn.server.nodemanager

## Enum ContainerManagerEventType

- java.lang.Object
- - java.lang.Enum<ContainerManagerEventType>
  - - org.apache.hadoop.yarn.server.nodemanager.ContainerManagerEventType

- All Implemented Interfaces:
    Serializable, Comparable<ContainerManagerEventType>

      public enum ContainerManagerEventType
      extends Enum<ContainerManagerEventType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FINISH_APPS`
    `FINISH_CONTAINERS`
    `SIGNAL_CONTAINERS`
    `UPDATE_CONTAINERS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContainerManagerEventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ContainerManagerEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FINISH_APPS

          public static final ContainerManagerEventType FINISH_APPS

    - #### FINISH_CONTAINERS

          public static final ContainerManagerEventType FINISH_CONTAINERS

    - #### UPDATE_CONTAINERS

          public static final ContainerManagerEventType UPDATE_CONTAINERS

    - #### SIGNAL_CONTAINERS

          public static final ContainerManagerEventType SIGNAL_CONTAINERS

  - ### Method Detail

    - #### values

          public static ContainerManagerEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContainerManagerEventType c : ContainerManagerEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContainerManagerEventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.